
$(document).ready(function() {

    setTimeout("prepareAnimation()", 1000);
    setInterval("toggleAnimation()", 3000);

    $(".title_link").click(function(e) {
        e.preventDefault();

        $(this).toggleClass("active");
        $(this).next().toggle();
    });

    $(".section_link").click(function(e) {
        e.preventDefault();

        $(".section_link").removeClass("current");
        $(this).addClass("current");

        $(".section_div").addClass("hidden");
        $($(this).attr("href")).removeClass("hidden");

    });

    $(".scroll").click(function(e) {
        e.preventDefault();

        var i = parseInt($(this).attr("href").replace("#", ""));
        var link = $("a.title_link:eq(" + (i - 1) + ")");

        $("html, body").animate({ scrollTop: link.offset().top }, 100);

        link.next().show();
    });
});

function prepareAnimation()
{
    $.each($(".animation"), function() {
        var frame1 = $(this).find(".frame1");
        var frame2 = $(this).find(".frame2");

        var width = frame1.width();
        var height = frame1.height();

        $(this).height(height);
        $(this).width(width);

        frame2.height(height);
        frame2.width(width);
    });
}

function toggleAnimation()
{
    $.each($(".animation"), function() {
        var width = $(this).find(".frame1").width();
        var frame2 = $(this).find(".frame2");

        if (frame2.css("left") == "0px") {
            frame2.find(".filter").animate({ opacity: 0.5 }, 400);
            frame2.animate({ left: width - 36 }, 400);
        } else {
            frame2.find(".filter").animate({ opacity: 0 }, 400);
            frame2.animate({ left: 0 }, 400);
        }
    });
}
